source: trunk/third/gstreamer/testsuite/plugin/Makefile.in @ 21005

Revision 21005, 35.3 KB checked in by ghudson, 20 years ago (diff)
This commit was generated by cvs2svn to compensate for changes in r21004, which included commits to RCS files with non-trunk default branches.
Line 
1# Makefile.in generated by automake 1.8.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17SOURCES = $(libtestplugin_la_SOURCES) $(libtestplugin2_la_SOURCES) dynamic.c linked.c loading.c registry.c static.c static2.c
18
19srcdir = @srcdir@
20top_srcdir = @top_srcdir@
21VPATH = @srcdir@
22pkgdatadir = $(datadir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkgincludedir = $(includedir)/@PACKAGE@
25top_builddir = ../..
26am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27INSTALL = @INSTALL@
28install_sh_DATA = $(install_sh) -c -m 644
29install_sh_PROGRAM = $(install_sh) -c
30install_sh_SCRIPT = $(install_sh) -c
31INSTALL_HEADER = $(INSTALL_DATA)
32transform = $(program_transform_name)
33NORMAL_INSTALL = :
34PRE_INSTALL = :
35POST_INSTALL = :
36NORMAL_UNINSTALL = :
37PRE_UNINSTALL = :
38POST_UNINSTALL = :
39host_triplet = @host@
40DIST_COMMON = README $(srcdir)/../Rules $(srcdir)/Makefile.am \
41        $(srcdir)/Makefile.in
42check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_2)
43subdir = testsuite/plugin
44ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
45am__aclocal_m4_deps = $(top_srcdir)/common/m4/as-ac-expand.m4 \
46        $(top_srcdir)/common/m4/as-auto-alt.m4 \
47        $(top_srcdir)/common/m4/as-compiler-flag.m4 \
48        $(top_srcdir)/common/m4/as-docbook.m4 \
49        $(top_srcdir)/common/m4/as-libtool.m4 \
50        $(top_srcdir)/common/m4/as-python.m4 \
51        $(top_srcdir)/common/m4/as-scrub-include.m4 \
52        $(top_srcdir)/common/m4/as-version.m4 \
53        $(top_srcdir)/common/m4/gettext.m4 \
54        $(top_srcdir)/common/m4/gst-arch.m4 \
55        $(top_srcdir)/common/m4/gst-doc.m4 \
56        $(top_srcdir)/common/m4/gst-feature.m4 \
57        $(top_srcdir)/common/m4/gst-function.m4 \
58        $(top_srcdir)/common/m4/gst-libxml2.m4 \
59        $(top_srcdir)/common/m4/gst-mcsc.m4 \
60        $(top_srcdir)/common/m4/iconv.m4 \
61        $(top_srcdir)/common/m4/lib-ld.m4 \
62        $(top_srcdir)/common/m4/lib-link.m4 \
63        $(top_srcdir)/common/m4/lib-prefix.m4 \
64        $(top_srcdir)/common/m4/pkg.m4 \
65        $(top_srcdir)/common/m4/progtest.m4 $(top_srcdir)/configure.ac
66am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
67        $(ACLOCAL_M4)
68mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
69CONFIG_HEADER = $(top_builddir)/config.h
70CONFIG_CLEAN_FILES =
71am__installdirs = "$(DESTDIR)$(plugindir)"
72pluginLTLIBRARIES_INSTALL = $(INSTALL)
73LTLIBRARIES = $(plugin_LTLIBRARIES)
74libtestplugin_la_LIBADD =
75am_libtestplugin_la_OBJECTS = libtestplugin_la-testplugin.lo
76libtestplugin_la_OBJECTS = $(am_libtestplugin_la_OBJECTS)
77libtestplugin2_la_LIBADD =
78am_libtestplugin2_la_OBJECTS = libtestplugin2_la-testplugin2.lo
79libtestplugin2_la_OBJECTS = $(am_libtestplugin2_la_OBJECTS)
80am__EXEEXT_1 = dynamic$(EXEEXT) linked$(EXEEXT) loading$(EXEEXT) \
81        registry$(EXEEXT) static$(EXEEXT) static2$(EXEEXT)
82am__EXEEXT_2 =
83dynamic_SOURCES = dynamic.c
84dynamic_OBJECTS = dynamic.$(OBJEXT)
85dynamic_LDADD = $(LDADD)
86linked_SOURCES = linked.c
87linked_OBJECTS = linked.$(OBJEXT)
88linked_LDADD = $(LDADD)
89loading_SOURCES = loading.c
90loading_OBJECTS = loading.$(OBJEXT)
91loading_LDADD = $(LDADD)
92registry_SOURCES = registry.c
93registry_OBJECTS = registry.$(OBJEXT)
94registry_LDADD = $(LDADD)
95static_SOURCES = static.c
96static_OBJECTS = static.$(OBJEXT)
97static_LDADD = $(LDADD)
98static2_SOURCES = static2.c
99static2_OBJECTS = static2.$(OBJEXT)
100static2_LDADD = $(LDADD)
101DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
102depcomp = $(SHELL) $(top_srcdir)/depcomp
103am__depfiles_maybe = depfiles
104@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/dynamic.Po \
105@AMDEP_TRUE@    ./$(DEPDIR)/libtestplugin2_la-testplugin2.Plo \
106@AMDEP_TRUE@    ./$(DEPDIR)/libtestplugin_la-testplugin.Plo \
107@AMDEP_TRUE@    ./$(DEPDIR)/linked.Po ./$(DEPDIR)/loading.Po \
108@AMDEP_TRUE@    ./$(DEPDIR)/registry.Po ./$(DEPDIR)/static.Po \
109@AMDEP_TRUE@    ./$(DEPDIR)/static2.Po
110COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
111        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
112LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) \
113        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
114        $(AM_CFLAGS) $(CFLAGS)
115CCLD = $(CC)
116LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
117        $(AM_LDFLAGS) $(LDFLAGS) -o $@
118SOURCES = $(libtestplugin_la_SOURCES) $(libtestplugin2_la_SOURCES) \
119        dynamic.c linked.c loading.c registry.c static.c static2.c
120DIST_SOURCES = $(libtestplugin_la_SOURCES) \
121        $(libtestplugin2_la_SOURCES) dynamic.c linked.c loading.c \
122        registry.c static.c static2.c
123ETAGS = etags
124CTAGS = ctags
125DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
126ACLOCAL = @ACLOCAL@
127ACLOCAL_AMFLAGS = @ACLOCAL_AMFLAGS@
128AMDEP_FALSE = @AMDEP_FALSE@
129AMDEP_TRUE = @AMDEP_TRUE@
130AMTAR = @AMTAR@
131AR = @AR@
132AS_LIBTOOL_WIN32_FALSE = @AS_LIBTOOL_WIN32_FALSE@
133AS_LIBTOOL_WIN32_TRUE = @AS_LIBTOOL_WIN32_TRUE@
134AUTOCONF = @AUTOCONF@
135AUTOHEADER = @AUTOHEADER@
136AUTOMAKE = @AUTOMAKE@
137AWK = @AWK@
138BISON_PATH = @BISON_PATH@
139BROKEN_FALSE = @BROKEN_FALSE@
140BROKEN_TRUE = @BROKEN_TRUE@
141BUILD_DOCS_FALSE = @BUILD_DOCS_FALSE@
142BUILD_DOCS_TRUE = @BUILD_DOCS_TRUE@
143BUILD_EXAMPLES_FALSE = @BUILD_EXAMPLES_FALSE@
144BUILD_EXAMPLES_TRUE = @BUILD_EXAMPLES_TRUE@
145BUILD_FAILING_TESTS_FALSE = @BUILD_FAILING_TESTS_FALSE@
146BUILD_FAILING_TESTS_TRUE = @BUILD_FAILING_TESTS_TRUE@
147BUILD_PLUGIN_DOCS_FALSE = @BUILD_PLUGIN_DOCS_FALSE@
148BUILD_PLUGIN_DOCS_TRUE = @BUILD_PLUGIN_DOCS_TRUE@
149BUILD_TESTS_FALSE = @BUILD_TESTS_FALSE@
150BUILD_TESTS_TRUE = @BUILD_TESTS_TRUE@
151CAT_ENTRY_END = @CAT_ENTRY_END@
152CAT_ENTRY_START = @CAT_ENTRY_START@
153CC = @CC@
154CCAS = @CCAS@
155CCASFLAGS = @CCASFLAGS@
156CCDEPMODE = @CCDEPMODE@
157CFLAGS = @CFLAGS@
158CPP = @CPP@
159CPPFLAGS = @CPPFLAGS@
160CXX = @CXX@
161CXXCPP = @CXXCPP@
162CXXDEPMODE = @CXXDEPMODE@
163CXXFLAGS = @CXXFLAGS@
164CYGPATH_W = @CYGPATH_W@
165DEFS = @DEFS@
166DEPDIR = @DEPDIR@
167DOCBOOK_ROOT = @DOCBOOK_ROOT@
168DOC_HTML_FALSE = @DOC_HTML_FALSE@
169DOC_HTML_TRUE = @DOC_HTML_TRUE@
170DOC_PDF_FALSE = @DOC_PDF_FALSE@
171DOC_PDF_TRUE = @DOC_PDF_TRUE@
172DOC_PS_FALSE = @DOC_PS_FALSE@
173DOC_PS_TRUE = @DOC_PS_TRUE@
174ECHO = @ECHO@
175ECHO_C = @ECHO_C@
176ECHO_N = @ECHO_N@
177ECHO_T = @ECHO_T@
178EGREP = @EGREP@
179EXEEXT = @EXEEXT@
180EXPERIMENTAL_FALSE = @EXPERIMENTAL_FALSE@
181EXPERIMENTAL_TRUE = @EXPERIMENTAL_TRUE@
182F77 = @F77@
183FFLAGS = @FFLAGS@
184FLEX_PATH = @FLEX_PATH@
185GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
186GLIB2_CFLAGS = @GLIB2_CFLAGS@
187GLIB2_LIBS = @GLIB2_LIBS@
188GLIB2_REQ = @GLIB2_REQ@
189GLIB_CFLAGS = @GLIB_CFLAGS@
190GLIB_LIBS = @GLIB_LIBS@
191GLIB_ONLY_CFLAGS = @GLIB_ONLY_CFLAGS@
192GLIB_ONLY_LIBS = @GLIB_ONLY_LIBS@
193GMSGFMT = @GMSGFMT@
194GST_AGE = @GST_AGE@
195GST_CACHE_DIR = @GST_CACHE_DIR@
196GST_CURRENT = @GST_CURRENT@
197GST_DISABLE_ALLOC_TRACE_DEFINE = @GST_DISABLE_ALLOC_TRACE_DEFINE@
198GST_DISABLE_ALLOC_TRACE_FALSE = @GST_DISABLE_ALLOC_TRACE_FALSE@
199GST_DISABLE_ALLOC_TRACE_TRUE = @GST_DISABLE_ALLOC_TRACE_TRUE@
200GST_DISABLE_ENUMTYPES_DEFINE = @GST_DISABLE_ENUMTYPES_DEFINE@
201GST_DISABLE_ENUMTYPES_FALSE = @GST_DISABLE_ENUMTYPES_FALSE@
202GST_DISABLE_ENUMTYPES_TRUE = @GST_DISABLE_ENUMTYPES_TRUE@
203GST_DISABLE_GST_DEBUG_DEFINE = @GST_DISABLE_GST_DEBUG_DEFINE@
204GST_DISABLE_GST_DEBUG_FALSE = @GST_DISABLE_GST_DEBUG_FALSE@
205GST_DISABLE_GST_DEBUG_TRUE = @GST_DISABLE_GST_DEBUG_TRUE@
206GST_DISABLE_INDEX_DEFINE = @GST_DISABLE_INDEX_DEFINE@
207GST_DISABLE_INDEX_FALSE = @GST_DISABLE_INDEX_FALSE@
208GST_DISABLE_INDEX_TRUE = @GST_DISABLE_INDEX_TRUE@
209GST_DISABLE_LOADSAVE_DEFINE = @GST_DISABLE_LOADSAVE_DEFINE@
210GST_DISABLE_LOADSAVE_FALSE = @GST_DISABLE_LOADSAVE_FALSE@
211GST_DISABLE_LOADSAVE_TRUE = @GST_DISABLE_LOADSAVE_TRUE@
212GST_DISABLE_OMEGA_COTHREADS_FALSE = @GST_DISABLE_OMEGA_COTHREADS_FALSE@
213GST_DISABLE_OMEGA_COTHREADS_TRUE = @GST_DISABLE_OMEGA_COTHREADS_TRUE@
214GST_DISABLE_PARSE_DEFINE = @GST_DISABLE_PARSE_DEFINE@
215GST_DISABLE_PARSE_FALSE = @GST_DISABLE_PARSE_FALSE@
216GST_DISABLE_PARSE_TRUE = @GST_DISABLE_PARSE_TRUE@
217GST_DISABLE_PLUGIN_DEFINE = @GST_DISABLE_PLUGIN_DEFINE@
218GST_DISABLE_PLUGIN_FALSE = @GST_DISABLE_PLUGIN_FALSE@
219GST_DISABLE_PLUGIN_TRUE = @GST_DISABLE_PLUGIN_TRUE@
220GST_DISABLE_REGISTRY_DEFINE = @GST_DISABLE_REGISTRY_DEFINE@
221GST_DISABLE_REGISTRY_FALSE = @GST_DISABLE_REGISTRY_FALSE@
222GST_DISABLE_REGISTRY_TRUE = @GST_DISABLE_REGISTRY_TRUE@
223GST_DISABLE_TRACE_DEFINE = @GST_DISABLE_TRACE_DEFINE@
224GST_DISABLE_TRACE_FALSE = @GST_DISABLE_TRACE_FALSE@
225GST_DISABLE_TRACE_TRUE = @GST_DISABLE_TRACE_TRUE@
226GST_DISABLE_URI_DEFINE = @GST_DISABLE_URI_DEFINE@
227GST_DISABLE_URI_FALSE = @GST_DISABLE_URI_FALSE@
228GST_DISABLE_URI_TRUE = @GST_DISABLE_URI_TRUE@
229GST_GCOV_ENABLED_FALSE = @GST_GCOV_ENABLED_FALSE@
230GST_GCOV_ENABLED_TRUE = @GST_GCOV_ENABLED_TRUE@
231GST_HAVE_UNALIGNED_ACCESS_DEFINE = @GST_HAVE_UNALIGNED_ACCESS_DEFINE@
232GST_LIBVERSION = @GST_LIBVERSION@
233GST_LIB_CFLAGS = @GST_LIB_CFLAGS@
234GST_LIB_LDFLAGS = @GST_LIB_LDFLAGS@
235GST_LIB_LIBS = @GST_LIB_LIBS@
236GST_LT_LDFLAGS = @GST_LT_LDFLAGS@
237GST_MAJORMINOR = @GST_MAJORMINOR@
238GST_OBJ_CFLAGS = @GST_OBJ_CFLAGS@
239GST_OBJ_LIBS = @GST_OBJ_LIBS@
240GST_PKG_CFLAGS = @GST_PKG_CFLAGS@
241GST_PKG_DEPS = @GST_PKG_DEPS@
242GST_PKG_LIBS = @GST_PKG_LIBS@
243GST_PLUGIN_LDFLAGS = @GST_PLUGIN_LDFLAGS@
244GST_PRINTF_EXTENSION_FORMAT_DEFINE = @GST_PRINTF_EXTENSION_FORMAT_DEFINE@
245GST_REVISION = @GST_REVISION@
246GST_VERSION = @GST_VERSION@
247GST_VERSION_MAJOR = @GST_VERSION_MAJOR@
248GST_VERSION_MICRO = @GST_VERSION_MICRO@
249GST_VERSION_MINOR = @GST_VERSION_MINOR@
250GST_VERSION_NANO = @GST_VERSION_NANO@
251GST_VERSION_RELEASE = @GST_VERSION_RELEASE@
252GTK_DOC_SCANOBJ = @GTK_DOC_SCANOBJ@
253HAVE_CPU_ALPHA_FALSE = @HAVE_CPU_ALPHA_FALSE@
254HAVE_CPU_ALPHA_TRUE = @HAVE_CPU_ALPHA_TRUE@
255HAVE_CPU_ARM_FALSE = @HAVE_CPU_ARM_FALSE@
256HAVE_CPU_ARM_TRUE = @HAVE_CPU_ARM_TRUE@
257HAVE_CPU_HPPA_FALSE = @HAVE_CPU_HPPA_FALSE@
258HAVE_CPU_HPPA_TRUE = @HAVE_CPU_HPPA_TRUE@
259HAVE_CPU_I386_FALSE = @HAVE_CPU_I386_FALSE@
260HAVE_CPU_I386_TRUE = @HAVE_CPU_I386_TRUE@
261HAVE_CPU_IA64_FALSE = @HAVE_CPU_IA64_FALSE@
262HAVE_CPU_IA64_TRUE = @HAVE_CPU_IA64_TRUE@
263HAVE_CPU_M68K_FALSE = @HAVE_CPU_M68K_FALSE@
264HAVE_CPU_M68K_TRUE = @HAVE_CPU_M68K_TRUE@
265HAVE_CPU_MIPS_FALSE = @HAVE_CPU_MIPS_FALSE@
266HAVE_CPU_MIPS_TRUE = @HAVE_CPU_MIPS_TRUE@
267HAVE_CPU_PPC_FALSE = @HAVE_CPU_PPC_FALSE@
268HAVE_CPU_PPC_TRUE = @HAVE_CPU_PPC_TRUE@
269HAVE_CPU_S390_FALSE = @HAVE_CPU_S390_FALSE@
270HAVE_CPU_S390_TRUE = @HAVE_CPU_S390_TRUE@
271HAVE_CPU_SPARC_FALSE = @HAVE_CPU_SPARC_FALSE@
272HAVE_CPU_SPARC_TRUE = @HAVE_CPU_SPARC_TRUE@
273HAVE_CPU_X86_64_FALSE = @HAVE_CPU_X86_64_FALSE@
274HAVE_CPU_X86_64_TRUE = @HAVE_CPU_X86_64_TRUE@
275HAVE_DOCBOOK2HTML = @HAVE_DOCBOOK2HTML@
276HAVE_DOCBOOK2PS = @HAVE_DOCBOOK2PS@
277HAVE_DOCBOOK_FALSE = @HAVE_DOCBOOK_FALSE@
278HAVE_DOCBOOK_TRUE = @HAVE_DOCBOOK_TRUE@
279HAVE_DVIPS = @HAVE_DVIPS@
280HAVE_EPSTOPDF = @HAVE_EPSTOPDF@
281HAVE_FIG2DEV = @HAVE_FIG2DEV@
282HAVE_GTK_DOC = @HAVE_GTK_DOC@
283HAVE_GTK_DOC_FALSE = @HAVE_GTK_DOC_FALSE@
284HAVE_GTK_DOC_TRUE = @HAVE_GTK_DOC_TRUE@
285HAVE_JADETEX = @HAVE_JADETEX@
286HAVE_LIBGNOMEUI_FALSE = @HAVE_LIBGNOMEUI_FALSE@
287HAVE_LIBGNOMEUI_TRUE = @HAVE_LIBGNOMEUI_TRUE@
288HAVE_LIBMMX_FALSE = @HAVE_LIBMMX_FALSE@
289HAVE_LIBMMX_TRUE = @HAVE_LIBMMX_TRUE@
290HAVE_PNGTOPNM = @HAVE_PNGTOPNM@
291HAVE_PNMTOPS = @HAVE_PNMTOPS@
292HAVE_POPT = @HAVE_POPT@
293HAVE_PS2PDF = @HAVE_PS2PDF@
294HTML_DIR = @HTML_DIR@
295INSTALL_DATA = @INSTALL_DATA@
296INSTALL_PROGRAM = @INSTALL_PROGRAM@
297INSTALL_SCRIPT = @INSTALL_SCRIPT@
298INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
299INTLLIBS = @INTLLIBS@
300LDFLAGS = @LDFLAGS@
301LIBGNOMEUI_CFLAGS = @LIBGNOMEUI_CFLAGS@
302LIBGNOMEUI_LIBS = @LIBGNOMEUI_LIBS@
303LIBICONV = @LIBICONV@
304LIBINTL = @LIBINTL@
305LIBOBJS = @LIBOBJS@
306LIBS = $(GST_OBJ_LIBS)
307LIBTOOL = @LIBTOOL@
308LIBXML2_REQ = @LIBXML2_REQ@
309LIBXML_PKG = @LIBXML_PKG@
310LN_S = @LN_S@
311LOCALEDIR = @LOCALEDIR@
312LTLIBICONV = @LTLIBICONV@
313LTLIBINTL = @LTLIBINTL@
314LTLIBOBJS = @LTLIBOBJS@
315MAINT = @MAINT@
316MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
317MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
318MAKEINFO = @MAKEINFO@
319MKINSTALLDIRS = @MKINSTALLDIRS@
320MSGFMT = @MSGFMT@
321MSGMERGE = @MSGMERGE@
322OBJEXT = @OBJEXT@
323PACKAGE = @PACKAGE@
324PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
325PACKAGE_NAME = @PACKAGE_NAME@
326PACKAGE_STRING = @PACKAGE_STRING@
327PACKAGE_TARNAME = @PACKAGE_TARNAME@
328PACKAGE_VERSION = @PACKAGE_VERSION@
329PATH_SEPARATOR = @PATH_SEPARATOR@
330PERL_PATH = @PERL_PATH@
331PKG_CONFIG = @PKG_CONFIG@
332PLUGINS_BUILDDIR = @PLUGINS_BUILDDIR@
333PLUGINS_DIR = @PLUGINS_DIR@
334PLUGINS_USE_BUILDDIR_FALSE = @PLUGINS_USE_BUILDDIR_FALSE@
335PLUGINS_USE_BUILDDIR_TRUE = @PLUGINS_USE_BUILDDIR_TRUE@
336POPT_LIBS = @POPT_LIBS@
337POSUB = @POSUB@
338PYTHON = @PYTHON@
339PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
340PYTHON_PLATFORM = @PYTHON_PLATFORM@
341PYTHON_PREFIX = @PYTHON_PREFIX@
342PYTHON_VERSION = @PYTHON_VERSION@
343RANLIB = @RANLIB@
344SET_MAKE = @SET_MAKE@
345SHELL = @SHELL@
346STRIP = @STRIP@
347USE_NLS = @USE_NLS@
348VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
349VALGRIND_LIBS = @VALGRIND_LIBS@
350VERSION = @VERSION@
351XGETTEXT = @XGETTEXT@
352XML_CATALOG = @XML_CATALOG@
353XML_CFLAGS = @XML_CFLAGS@
354XML_LIBS = @XML_LIBS@
355XSLTPROC = @XSLTPROC@
356XSLTPROC_FLAGS = @XSLTPROC_FLAGS@
357ac_ct_AR = @ac_ct_AR@
358ac_ct_CC = @ac_ct_CC@
359ac_ct_CXX = @ac_ct_CXX@
360ac_ct_F77 = @ac_ct_F77@
361ac_ct_RANLIB = @ac_ct_RANLIB@
362ac_ct_STRIP = @ac_ct_STRIP@
363am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
364am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
365am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
366am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
367am__include = @am__include@
368am__leading_dot = @am__leading_dot@
369am__quote = @am__quote@
370bindir = @bindir@
371build = @build@
372build_alias = @build_alias@
373build_cpu = @build_cpu@
374build_os = @build_os@
375build_vendor = @build_vendor@
376datadir = @datadir@
377exec_prefix = @exec_prefix@
378host = @host@
379host_alias = @host_alias@
380host_cpu = @host_cpu@
381host_os = @host_os@
382host_vendor = @host_vendor@
383includedir = @includedir@
384infodir = @infodir@
385install_sh = @install_sh@
386libdir = @libdir@
387libexecdir = @libexecdir@
388localstatedir = @localstatedir@
389mandir = @mandir@
390mkdir_p = @mkdir_p@
391oldincludedir = @oldincludedir@
392pkgpyexecdir = @pkgpyexecdir@
393pkgpythondir = @pkgpythondir@
394plugindir = $(libdir)/gstreamer-@GST_MAJORMINOR@
395prefix = @prefix@
396program_transform_name = @program_transform_name@
397pyexecdir = @pyexecdir@
398pythondir = @pythondir@
399sbindir = @sbindir@
400sharedstatedir = @sharedstatedir@
401sysconfdir = @sysconfdir@
402target = @target@
403target_alias = @target_alias@
404target_cpu = @target_cpu@
405target_os = @target_os@
406target_vendor = @target_vendor@
407TESTS_ENVIRONMENT = \
408        G_DEBUG=fatal_warnings \
409        GST_PLUGIN_PATH=$(top_builddir)/gst:$(top_builddir)/testsuite \
410        GST_REGISTRY=$(top_builddir)/testsuite/test-registry.xml
411
412TESTS = $(top_builddir)/tools/gst-register-@GST_MAJORMINOR@ \
413        $(tests_pass) $(tests_fail)
414
415XFAIL_TESTS = $(tests_fail)
416AM_CFLAGS = $(GST_OBJ_CFLAGS)
417
418# This rule is here so make distcheck works on machines where core
419# dumps have PIDs appended
420CLEANFILES = core.*
421plugin_LTLIBRARIES = libtestplugin.la libtestplugin2.la
422tests_pass = dynamic linked loading registry static static2
423tests_fail =
424tests_ignore =
425libtestplugin_la_SOURCES = testplugin.c
426libtestplugin_la_CFLAGS = $(GST_OBJ_CFLAGS)
427libtestplugin_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
428libtestplugin2_la_SOURCES = testplugin2.c
429libtestplugin2_la_CFLAGS = $(GST_OBJ_CFLAGS)
430libtestplugin2_la_LDFLAGS = $(GST_PLUGIN_LDFLAGS)
431linked_LIBS = libtestplugin.la libtestplugin2.la
432all: all-am
433
434.SUFFIXES:
435.SUFFIXES: .c .lo .o .obj
436$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../Rules $(am__configure_deps)
437        @for dep in $?; do \
438          case '$(am__configure_deps)' in \
439            *$$dep*) \
440              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
441                && exit 0; \
442              exit 1;; \
443          esac; \
444        done; \
445        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/plugin/Makefile'; \
446        cd $(top_srcdir) && \
447          $(AUTOMAKE) --gnu  testsuite/plugin/Makefile
448.PRECIOUS: Makefile
449Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
450        @case '$?' in \
451          *config.status*) \
452            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
453          *) \
454            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
455            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
456        esac;
457
458$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
459        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
460
461$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
462        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
463$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
464        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
465
466uninstall-pluginLTLIBRARIES:
467        @$(NORMAL_UNINSTALL)
468        @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
469            p="`echo $$p | sed -e 's|^.*/||'`"; \
470          echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(plugindir)/$$p'"; \
471          $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(plugindir)/$$p"; \
472        done
473
474clean-pluginLTLIBRARIES:
475        -test -z "$(plugin_LTLIBRARIES)" || rm -f $(plugin_LTLIBRARIES)
476        @list='$(plugin_LTLIBRARIES)'; for p in $$list; do \
477          dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
478          test "$$dir" = "$$p" && dir=.; \
479          echo "rm -f \"$${dir}/so_locations\""; \
480          rm -f "$${dir}/so_locations"; \
481        done
482libtestplugin.la: $(libtestplugin_la_OBJECTS) $(libtestplugin_la_DEPENDENCIES)
483        $(LINK) -rpath $(plugindir) $(libtestplugin_la_LDFLAGS) $(libtestplugin_la_OBJECTS) $(libtestplugin_la_LIBADD) $(LIBS)
484libtestplugin2.la: $(libtestplugin2_la_OBJECTS) $(libtestplugin2_la_DEPENDENCIES)
485        $(LINK) -rpath $(plugindir) $(libtestplugin2_la_LDFLAGS) $(libtestplugin2_la_OBJECTS) $(libtestplugin2_la_LIBADD) $(LIBS)
486
487clean-checkPROGRAMS:
488        @list='$(check_PROGRAMS)'; for p in $$list; do \
489          f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
490          echo " rm -f $$p $$f"; \
491          rm -f $$p $$f ; \
492        done
493dynamic$(EXEEXT): $(dynamic_OBJECTS) $(dynamic_DEPENDENCIES)
494        @rm -f dynamic$(EXEEXT)
495        $(LINK) $(dynamic_LDFLAGS) $(dynamic_OBJECTS) $(dynamic_LDADD) $(LIBS)
496linked$(EXEEXT): $(linked_OBJECTS) $(linked_DEPENDENCIES)
497        @rm -f linked$(EXEEXT)
498        $(LINK) $(linked_LDFLAGS) $(linked_OBJECTS) $(linked_LDADD) $(LIBS)
499loading$(EXEEXT): $(loading_OBJECTS) $(loading_DEPENDENCIES)
500        @rm -f loading$(EXEEXT)
501        $(LINK) $(loading_LDFLAGS) $(loading_OBJECTS) $(loading_LDADD) $(LIBS)
502registry$(EXEEXT): $(registry_OBJECTS) $(registry_DEPENDENCIES)
503        @rm -f registry$(EXEEXT)
504        $(LINK) $(registry_LDFLAGS) $(registry_OBJECTS) $(registry_LDADD) $(LIBS)
505static$(EXEEXT): $(static_OBJECTS) $(static_DEPENDENCIES)
506        @rm -f static$(EXEEXT)
507        $(LINK) $(static_LDFLAGS) $(static_OBJECTS) $(static_LDADD) $(LIBS)
508static2$(EXEEXT): $(static2_OBJECTS) $(static2_DEPENDENCIES)
509        @rm -f static2$(EXEEXT)
510        $(LINK) $(static2_LDFLAGS) $(static2_OBJECTS) $(static2_LDADD) $(LIBS)
511
512mostlyclean-compile:
513        -rm -f *.$(OBJEXT)
514
515distclean-compile:
516        -rm -f *.tab.c
517
518@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dynamic.Po@am__quote@
519@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libtestplugin2_la-testplugin2.Plo@am__quote@
520@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libtestplugin_la-testplugin.Plo@am__quote@
521@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/linked.Po@am__quote@
522@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/loading.Po@am__quote@
523@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/registry.Po@am__quote@
524@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/static.Po@am__quote@
525@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/static2.Po@am__quote@
526
527.c.o:
528@am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
529@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
530@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
531@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
532@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
533@am__fastdepCC_FALSE@   $(COMPILE) -c $<
534
535.c.obj:
536@am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
537@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
538@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
539@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
540@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
541@am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
542
543.c.lo:
544@am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
545@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
546@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
547@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
548@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
549@am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
550
551libtestplugin_la-testplugin.o: testplugin.c
552@am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin_la_CFLAGS) $(CFLAGS) -MT libtestplugin_la-testplugin.o -MD -MP -MF "$(DEPDIR)/libtestplugin_la-testplugin.Tpo" -c -o libtestplugin_la-testplugin.o `test -f 'testplugin.c' || echo '$(srcdir)/'`testplugin.c; \
553@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/libtestplugin_la-testplugin.Tpo" "$(DEPDIR)/libtestplugin_la-testplugin.Po"; else rm -f "$(DEPDIR)/libtestplugin_la-testplugin.Tpo"; exit 1; fi
554@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='testplugin.c' object='libtestplugin_la-testplugin.o' libtool=no @AMDEPBACKSLASH@
555@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/libtestplugin_la-testplugin.Po' tmpdepfile='$(DEPDIR)/libtestplugin_la-testplugin.TPo' @AMDEPBACKSLASH@
556@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
557@am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin_la_CFLAGS) $(CFLAGS) -c -o libtestplugin_la-testplugin.o `test -f 'testplugin.c' || echo '$(srcdir)/'`testplugin.c
558
559libtestplugin_la-testplugin.obj: testplugin.c
560@am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin_la_CFLAGS) $(CFLAGS) -MT libtestplugin_la-testplugin.obj -MD -MP -MF "$(DEPDIR)/libtestplugin_la-testplugin.Tpo" -c -o libtestplugin_la-testplugin.obj `if test -f 'testplugin.c'; then $(CYGPATH_W) 'testplugin.c'; else $(CYGPATH_W) '$(srcdir)/testplugin.c'; fi`; \
561@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/libtestplugin_la-testplugin.Tpo" "$(DEPDIR)/libtestplugin_la-testplugin.Po"; else rm -f "$(DEPDIR)/libtestplugin_la-testplugin.Tpo"; exit 1; fi
562@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='testplugin.c' object='libtestplugin_la-testplugin.obj' libtool=no @AMDEPBACKSLASH@
563@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/libtestplugin_la-testplugin.Po' tmpdepfile='$(DEPDIR)/libtestplugin_la-testplugin.TPo' @AMDEPBACKSLASH@
564@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
565@am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin_la_CFLAGS) $(CFLAGS) -c -o libtestplugin_la-testplugin.obj `if test -f 'testplugin.c'; then $(CYGPATH_W) 'testplugin.c'; else $(CYGPATH_W) '$(srcdir)/testplugin.c'; fi`
566
567libtestplugin_la-testplugin.lo: testplugin.c
568@am__fastdepCC_TRUE@    if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin_la_CFLAGS) $(CFLAGS) -MT libtestplugin_la-testplugin.lo -MD -MP -MF "$(DEPDIR)/libtestplugin_la-testplugin.Tpo" -c -o libtestplugin_la-testplugin.lo `test -f 'testplugin.c' || echo '$(srcdir)/'`testplugin.c; \
569@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/libtestplugin_la-testplugin.Tpo" "$(DEPDIR)/libtestplugin_la-testplugin.Plo"; else rm -f "$(DEPDIR)/libtestplugin_la-testplugin.Tpo"; exit 1; fi
570@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='testplugin.c' object='libtestplugin_la-testplugin.lo' libtool=yes @AMDEPBACKSLASH@
571@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/libtestplugin_la-testplugin.Plo' tmpdepfile='$(DEPDIR)/libtestplugin_la-testplugin.TPlo' @AMDEPBACKSLASH@
572@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
573@am__fastdepCC_FALSE@   $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin_la_CFLAGS) $(CFLAGS) -c -o libtestplugin_la-testplugin.lo `test -f 'testplugin.c' || echo '$(srcdir)/'`testplugin.c
574
575libtestplugin2_la-testplugin2.o: testplugin2.c
576@am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin2_la_CFLAGS) $(CFLAGS) -MT libtestplugin2_la-testplugin2.o -MD -MP -MF "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo" -c -o libtestplugin2_la-testplugin2.o `test -f 'testplugin2.c' || echo '$(srcdir)/'`testplugin2.c; \
577@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo" "$(DEPDIR)/libtestplugin2_la-testplugin2.Po"; else rm -f "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo"; exit 1; fi
578@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='testplugin2.c' object='libtestplugin2_la-testplugin2.o' libtool=no @AMDEPBACKSLASH@
579@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/libtestplugin2_la-testplugin2.Po' tmpdepfile='$(DEPDIR)/libtestplugin2_la-testplugin2.TPo' @AMDEPBACKSLASH@
580@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
581@am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin2_la_CFLAGS) $(CFLAGS) -c -o libtestplugin2_la-testplugin2.o `test -f 'testplugin2.c' || echo '$(srcdir)/'`testplugin2.c
582
583libtestplugin2_la-testplugin2.obj: testplugin2.c
584@am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin2_la_CFLAGS) $(CFLAGS) -MT libtestplugin2_la-testplugin2.obj -MD -MP -MF "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo" -c -o libtestplugin2_la-testplugin2.obj `if test -f 'testplugin2.c'; then $(CYGPATH_W) 'testplugin2.c'; else $(CYGPATH_W) '$(srcdir)/testplugin2.c'; fi`; \
585@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo" "$(DEPDIR)/libtestplugin2_la-testplugin2.Po"; else rm -f "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo"; exit 1; fi
586@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='testplugin2.c' object='libtestplugin2_la-testplugin2.obj' libtool=no @AMDEPBACKSLASH@
587@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/libtestplugin2_la-testplugin2.Po' tmpdepfile='$(DEPDIR)/libtestplugin2_la-testplugin2.TPo' @AMDEPBACKSLASH@
588@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
589@am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin2_la_CFLAGS) $(CFLAGS) -c -o libtestplugin2_la-testplugin2.obj `if test -f 'testplugin2.c'; then $(CYGPATH_W) 'testplugin2.c'; else $(CYGPATH_W) '$(srcdir)/testplugin2.c'; fi`
590
591libtestplugin2_la-testplugin2.lo: testplugin2.c
592@am__fastdepCC_TRUE@    if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin2_la_CFLAGS) $(CFLAGS) -MT libtestplugin2_la-testplugin2.lo -MD -MP -MF "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo" -c -o libtestplugin2_la-testplugin2.lo `test -f 'testplugin2.c' || echo '$(srcdir)/'`testplugin2.c; \
593@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo" "$(DEPDIR)/libtestplugin2_la-testplugin2.Plo"; else rm -f "$(DEPDIR)/libtestplugin2_la-testplugin2.Tpo"; exit 1; fi
594@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='testplugin2.c' object='libtestplugin2_la-testplugin2.lo' libtool=yes @AMDEPBACKSLASH@
595@AMDEP_TRUE@@am__fastdepCC_FALSE@       depfile='$(DEPDIR)/libtestplugin2_la-testplugin2.Plo' tmpdepfile='$(DEPDIR)/libtestplugin2_la-testplugin2.TPlo' @AMDEPBACKSLASH@
596@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
597@am__fastdepCC_FALSE@   $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libtestplugin2_la_CFLAGS) $(CFLAGS) -c -o libtestplugin2_la-testplugin2.lo `test -f 'testplugin2.c' || echo '$(srcdir)/'`testplugin2.c
598
599mostlyclean-libtool:
600        -rm -f *.lo
601
602clean-libtool:
603        -rm -rf .libs _libs
604
605distclean-libtool:
606        -rm -f libtool
607uninstall-info-am:
608
609ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
610        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
611        unique=`for i in $$list; do \
612            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
613          done | \
614          $(AWK) '    { files[$$0] = 1; } \
615               END { for (i in files) print i; }'`; \
616        mkid -fID $$unique
617tags: TAGS
618
619TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
620                $(TAGS_FILES) $(LISP)
621        tags=; \
622        here=`pwd`; \
623        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
624        unique=`for i in $$list; do \
625            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
626          done | \
627          $(AWK) '    { files[$$0] = 1; } \
628               END { for (i in files) print i; }'`; \
629        test -z "$(ETAGS_ARGS)$$tags$$unique" \
630          || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
631             $$tags $$unique
632ctags: CTAGS
633CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
634                $(TAGS_FILES) $(LISP)
635        tags=; \
636        here=`pwd`; \
637        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
638        unique=`for i in $$list; do \
639            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
640          done | \
641          $(AWK) '    { files[$$0] = 1; } \
642               END { for (i in files) print i; }'`; \
643        test -z "$(CTAGS_ARGS)$$tags$$unique" \
644          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
645             $$tags $$unique
646
647GTAGS:
648        here=`$(am__cd) $(top_builddir) && pwd` \
649          && cd $(top_srcdir) \
650          && gtags -i $(GTAGS_ARGS) $$here
651
652distclean-tags:
653        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
654
655check-TESTS: $(TESTS)
656        @failed=0; all=0; xfail=0; xpass=0; skip=0; \
657        srcdir=$(srcdir); export srcdir; \
658        list='$(TESTS)'; \
659        if test -n "$$list"; then \
660          for tst in $$list; do \
661            if test -f ./$$tst; then dir=./; \
662            elif test -f $$tst; then dir=; \
663            else dir="$(srcdir)/"; fi; \
664            if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
665              all=`expr $$all + 1`; \
666              case " $(XFAIL_TESTS) " in \
667              *" $$tst "*) \
668                xpass=`expr $$xpass + 1`; \
669                failed=`expr $$failed + 1`; \
670                echo "XPASS: $$tst"; \
671              ;; \
672              *) \
673                echo "PASS: $$tst"; \
674              ;; \
675              esac; \
676            elif test $$? -ne 77; then \
677              all=`expr $$all + 1`; \
678              case " $(XFAIL_TESTS) " in \
679              *" $$tst "*) \
680                xfail=`expr $$xfail + 1`; \
681                echo "XFAIL: $$tst"; \
682              ;; \
683              *) \
684                failed=`expr $$failed + 1`; \
685                echo "FAIL: $$tst"; \
686              ;; \
687              esac; \
688            else \
689              skip=`expr $$skip + 1`; \
690              echo "SKIP: $$tst"; \
691            fi; \
692          done; \
693          if test "$$failed" -eq 0; then \
694            if test "$$xfail" -eq 0; then \
695              banner="All $$all tests passed"; \
696            else \
697              banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
698            fi; \
699          else \
700            if test "$$xpass" -eq 0; then \
701              banner="$$failed of $$all tests failed"; \
702            else \
703              banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
704            fi; \
705          fi; \
706          dashes="$$banner"; \
707          skipped=""; \
708          if test "$$skip" -ne 0; then \
709            skipped="($$skip tests were not run)"; \
710            test `echo "$$skipped" | wc -c` -gt `echo "$$banner" | wc -c` && \
711              dashes="$$skipped"; \
712          fi; \
713          report=""; \
714          if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
715            report="Please report to $(PACKAGE_BUGREPORT)"; \
716            test `echo "$$report" | wc -c` -gt `echo "$$banner" | wc -c` && \
717              dashes="$$report"; \
718          fi; \
719          dashes=`echo "$$dashes" | sed s/./=/g`; \
720          echo "$$dashes"; \
721          echo "$$banner"; \
722          test -n "$$skipped" && echo "$$skipped"; \
723          test -n "$$report" && echo "$$report"; \
724          echo "$$dashes"; \
725          test "$$failed" -eq 0; \
726        else :; fi
727
728distdir: $(DISTFILES)
729        $(mkdir_p) $(distdir)/..
730        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
731        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
732        list='$(DISTFILES)'; for file in $$list; do \
733          case $$file in \
734            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
735            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
736          esac; \
737          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
738          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
739          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
740            dir="/$$dir"; \
741            $(mkdir_p) "$(distdir)$$dir"; \
742          else \
743            dir=''; \
744          fi; \
745          if test -d $$d/$$file; then \
746            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
747              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
748            fi; \
749            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
750          else \
751            test -f $(distdir)/$$file \
752            || cp -p $$d/$$file $(distdir)/$$file \
753            || exit 1; \
754          fi; \
755        done
756check-am: all-am
757        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
758        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
759check: check-am
760all-am: Makefile $(LTLIBRARIES)
761installdirs:
762        for dir in "$(DESTDIR)$(plugindir)"; do \
763          test -z "$$dir" || $(mkdir_p) "$$dir"; \
764        done
765install: install-am
766install-exec: install-exec-am
767install-data: install-data-am
768uninstall: uninstall-am
769
770install-am: all-am
771        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
772
773installcheck: installcheck-am
774install-strip:
775        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
776          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
777          `test -z '$(STRIP)' || \
778            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
779mostlyclean-generic:
780
781clean-generic:
782        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
783
784distclean-generic:
785        -rm -f $(CONFIG_CLEAN_FILES)
786
787maintainer-clean-generic:
788        @echo "This command is intended for maintainers to use"
789        @echo "it deletes files that may require special tools to rebuild."
790clean: clean-am
791
792clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
793        clean-pluginLTLIBRARIES mostlyclean-am
794
795distclean: distclean-am
796        -rm -rf ./$(DEPDIR)
797        -rm -f Makefile
798distclean-am: clean-am distclean-compile distclean-generic \
799        distclean-libtool distclean-tags
800
801dvi: dvi-am
802
803dvi-am:
804
805html: html-am
806
807info: info-am
808
809info-am:
810
811install-data-am: install-pluginLTLIBRARIES
812
813install-exec-am:
814
815install-info: install-info-am
816
817install-man:
818
819installcheck-am:
820
821maintainer-clean: maintainer-clean-am
822        -rm -rf ./$(DEPDIR)
823        -rm -f Makefile
824maintainer-clean-am: distclean-am maintainer-clean-generic
825
826mostlyclean: mostlyclean-am
827
828mostlyclean-am: mostlyclean-compile mostlyclean-generic \
829        mostlyclean-libtool
830
831pdf: pdf-am
832
833pdf-am:
834
835ps: ps-am
836
837ps-am:
838
839uninstall-am: uninstall-info-am uninstall-pluginLTLIBRARIES
840
841.PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
842        clean-checkPROGRAMS clean-generic clean-libtool \
843        clean-pluginLTLIBRARIES ctags distclean distclean-compile \
844        distclean-generic distclean-libtool distclean-tags distdir dvi \
845        dvi-am html html-am info info-am install install-am \
846        install-data install-data-am install-exec install-exec-am \
847        install-info install-info-am install-man \
848        install-pluginLTLIBRARIES install-strip installcheck \
849        installcheck-am installdirs maintainer-clean \
850        maintainer-clean-generic mostlyclean mostlyclean-compile \
851        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
852        tags uninstall uninstall-am uninstall-info-am \
853        uninstall-pluginLTLIBRARIES
854
855
856# make all tests depend on the versioned gst-register
857$(tests_pass) $(tests_fail): $(top_builddir)/tools/gst-register-@GST_MAJORMINOR@
858
859# rebuild gst-register-@GST_MAJORMINOR@ if needed
860# the EXEEXT is because am 1.6 complained about overrides
861$(top_builddir)/tools/gst-register-@GST_MAJORMINOR@$(EXEEXT):
862        cd $(top_builddir)/tools && make
863
864# override to _not_ install the test plugins
865install-pluginLTLIBRARIES:
866# Tell versions [3.59,3.63) of GNU make to not export all variables.
867# Otherwise a system limit (for SysV at least) may be exceeded.
868.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.